> For the complete documentation index, see [llms.txt](https://cetus-1.gitbook.io/cetus-developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-clmm-contract/features-available/collect-partner-fee.md).

# Collect Partner Fee

## Function

sources/partner.move

### 1. Auto transfer coin to ctx.sender.

```rust
/// The `PartnerCap` owner claim the parter fee by CoinType.
/// * `config` - The global configuration
/// * `partner_cap` - The reference to the `PartnerCap` object
/// * `partner` - The mutable reference to the `Partner` object
/// * `ctx` - The transaction context
public fun claim_ref_fee<T>(
    config: &GlobalConfig,
    partner_cap: &PartnerCap,
    partner: &mut Partner,
    ctx: &mut TxContext,
) {
    ...
}
```

## 2. Return ref fee coin object

```rust
/// The `PartnerCap` owner claim the parter fee by CoinType.
/// * `config` - The global configuration
/// * `partner_cap` - The reference to the `PartnerCap` object
/// * `partner` - The mutable reference to the `Partner` object
/// * `ctx` - The transaction context
public fun claim_ref_fee_coin<T>(
    config: &GlobalConfig,
    partner_cap: &PartnerCap,
    partner: &mut Partner,
    ctx: &mut TxContext,
): Coin<T> {
    ...
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cetus-1.gitbook.io/cetus-developer-docs/developer/via-clmm-contract/features-available/collect-partner-fee.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
